EndpointsSuper Admin Transactions

Super Admin Transactions

Function-calling namespace: superAdminTransactions

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

list

Source: backend/endpoints/super-admin-transactions/list

Input Fields

FieldTypeRequiredConstraints
searchstringNo-
sortBystringNo-
sortOrderstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminTransactions",
  "apiName": "list",
  "data": {
    "search": "value",
    "sortBy": "value",
    "sortOrder": "value",
    "page": 1,
    "pageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

payouts

Source: backend/endpoints/super-admin-transactions/payouts

Input Fields

FieldTypeRequiredConstraints
searchstringNo-
sortBystringNo-
sortOrderstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminTransactions",
  "apiName": "payouts",
  "data": {
    "search": "value",
    "sortBy": "value",
    "sortOrder": "value",
    "page": 1,
    "pageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

stats

Source: backend/endpoints/super-admin-transactions/stats

Input schema type: struct

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminTransactions",
  "apiName": "stats",
  "data": {}
}'

Example Response

{ "status": "ok", "data": {} }